Bug 1124884 - [abrt] libreoffice-core: JPEGWriter::Write(Graphic const&)(): soffice.bin killed by SIGSEGV [NEEDINFO]
Summary: [abrt] libreoffice-core: JPEGWriter::Write(Graphic const&)(): soffice.bin kil...
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreoffice
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:9a33229100a17056c00a0600097...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-30 14:41 UTC by Julio UA
Modified: 2015-01-06 13:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-06 13:15:24 UTC
dtardon: needinfo? (juriarte84)


Attachments (Terms of Use)
File: backtrace (56.65 KB, text/plain)
2014-07-30 14:41 UTC, Julio UA
no flags Details
File: cgroup (172 bytes, text/plain)
2014-07-30 14:41 UTC, Julio UA
no flags Details
File: core_backtrace (20.64 KB, text/plain)
2014-07-30 14:41 UTC, Julio UA
no flags Details
File: dso_list (22.77 KB, text/plain)
2014-07-30 14:41 UTC, Julio UA
no flags Details
File: environ (1.59 KB, text/plain)
2014-07-30 14:41 UTC, Julio UA
no flags Details
File: exploitable (110 bytes, text/plain)
2014-07-30 14:41 UTC, Julio UA
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-30 14:41 UTC, Julio UA
no flags Details
File: maps (102.99 KB, text/plain)
2014-07-30 14:41 UTC, Julio UA
no flags Details
File: open_fds (430 bytes, text/plain)
2014-07-30 14:41 UTC, Julio UA
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2014-07-30 14:41 UTC, Julio UA
no flags Details
File: var_log_messages (358 bytes, text/plain)
2014-07-30 14:41 UTC, Julio UA
no flags Details

Description Julio UA 2014-07-30 14:41:06 UTC
Description of problem:
Simplemente descargue un archivo desde el correo de google, con extension xlsx, y trate de guardarlo en una carpeta local, y se quedo ciclado. force la salida para reiniciar el sistema y actualizar el libreoffice. Es muy raro que falle pero solo informo del error por si existe alguna solucion.

Agradezco el apoyo.

Saludos!

Version-Release number of selected component:
libreoffice-core-4.2.4.2-18.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/fnx/Documentos/BBVA/eDMZ-TPAM/Manual%20de%20conexion%20eDMZ%20y%20manejo%20de%20consola%20host-V2.docx --splash-pipe=5
crash_function: JPEGWriter::Write(Graphic const&)
executable:     /usr/lib64/libreoffice/program/soffice.bin
kernel:         3.14.7-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 JPEGWriter::Write(Graphic const&) at /usr/lib64/libreoffice/program/libvcllo.so
 #1 ExportJPEG(SvStream&, Graphic const&, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const*, bool*) at /usr/lib64/libreoffice/program/libvcllo.so
 #2 GraphicFilter::ExportGraphic(Graphic const&, rtl::OUString const&, SvStream&, unsigned short, com::sun::star::uno::Sequence<com::sun::star::beans::PropertyValue> const*) at /usr/lib64/libreoffice/program/libvcllo.so
 #3 CompressGraphicsDialog::Compress(SvStream&) at /usr/lib64/libreoffice/program/../program/libsvxlo.so
 #4 CompressGraphicsDialog::GetCompressedGraphic() at /usr/lib64/libreoffice/program/../program/libsvxlo.so
 #5 SwGrfShell::Execute(SfxRequest&) at /usr/lib64/libreoffice/program/../program/libswlo.so
 #6 SfxShell::CallExec(void (*)(SfxShell*, SfxRequest&), SfxRequest&) at /usr/lib64/libreoffice/program/libsfxlo.so
 #7 SfxDispatcher::Call_Impl(SfxShell&, SfxSlot const&, SfxRequest&, unsigned char) at /usr/lib64/libreoffice/program/libsfxlo.so
 #8 SfxDispatcher::_Execute(SfxShell&, SfxSlot const&, SfxRequest&, unsigned short) at /usr/lib64/libreoffice/program/libsfxlo.so
 #9 SfxBindings::Execute_Impl(SfxRequest&, SfxSlot const*, SfxShell*) at /usr/lib64/libreoffice/program/libsfxlo.so

Comment 1 Julio UA 2014-07-30 14:41:09 UTC
Created attachment 922609 [details]
File: backtrace

Comment 2 Julio UA 2014-07-30 14:41:13 UTC
Created attachment 922610 [details]
File: cgroup

Comment 3 Julio UA 2014-07-30 14:41:15 UTC
Created attachment 922611 [details]
File: core_backtrace

Comment 4 Julio UA 2014-07-30 14:41:16 UTC
Created attachment 922612 [details]
File: dso_list

Comment 5 Julio UA 2014-07-30 14:41:17 UTC
Created attachment 922613 [details]
File: environ

Comment 6 Julio UA 2014-07-30 14:41:19 UTC
Created attachment 922614 [details]
File: exploitable

Comment 7 Julio UA 2014-07-30 14:41:20 UTC
Created attachment 922615 [details]
File: limits

Comment 8 Julio UA 2014-07-30 14:41:23 UTC
Created attachment 922616 [details]
File: maps

Comment 9 Julio UA 2014-07-30 14:41:27 UTC
Created attachment 922617 [details]
File: open_fds

Comment 10 Julio UA 2014-07-30 14:41:28 UTC
Created attachment 922618 [details]
File: proc_pid_status

Comment 11 Julio UA 2014-07-30 14:41:28 UTC
Created attachment 922619 [details]
File: var_log_messages

Comment 12 David Tardon 2014-08-01 12:03:32 UTC
google translation:

Simply download a file from the google mail with xlsx extension, and try to save to a local folder, and cycling was staying. force exit to restart the system and update the libreoffice. It is very rare to fail but only reported the error if there is any solution.

Comment 13 David Tardon 2014-08-01 12:13:01 UTC
The crash is from Compress graphics function. Does it crash if you try to compress the same picture again?


Note You need to log in before you can comment on or make changes to this bug.